# List attribute string values

> Retrieve a paginated list of attribute string values.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/categories/attribute_string_values`

Retrieves the collection of Attribute String Value resources.

Returns a paginated collection of attribute string values in the current organization.

## Headers

| Name              | Type     | Required | Description                                                                                                      |
| ----------------- | -------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
| `Flowkiwi-Locale` | `string` | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |

## Query parameters

| Name               | Type      | Required | Description                                                         |
| ------------------ | --------- | -------- | ------------------------------------------------------------------- |
| `page`             | `integer` | -        | The collection page number                                          |
| `itemsPerPage`     | `integer` | -        | The number of items per page                                        |
| `order[createdAt]` | `string`  | -        |                                                                     |
| `order[updatedAt]` | `string`  | -        |                                                                     |
| `value`            | `string`  | -        | Filter on translated field (strategy: ipartial)                     |
| `order[value]`     | `string`  | -        | Order by translated field "value" (uses the Flowkiwi-Locale header) |

## Response

**200** - Attribute String Value collection

| Property     | Type                       | Required | Description |
| ------------ | -------------------------- | -------- | ----------- |
| `totalItems` | `integer`                  | -        |             |
| `search`     | `object`                   | -        |             |
| `view`       | `object`                   | -        |             |
| `member`     | `Attribute.String.Value[]` | Yes      |             |

## Errors

**403** - Access denied. The caller is missing one or more identity permissions required for this operation.

| Property             | Type       | Required | Description                                                                                                                                |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`           | `object`   | -        |                                                                                                                                            |
| `@id`                | `string`   | Yes      |                                                                                                                                            |
| `@type`              | `string`   | Yes      |                                                                                                                                            |
| `type`               | `string`   | -        |                                                                                                                                            |
| `title`              | `string`   | -        |                                                                                                                                            |
| `status`             | `integer`  | -        |                                                                                                                                            |
| `detail`             | `string`   | -        |                                                                                                                                            |
| `missingPermissions` | `string[]` | -        | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/categories/attribute_string_values' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: 2026-07' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/api/contexts/Attribute%20String%20Value",
  "@id": "/api/categories/attribute_string_values",
  "@type": "Collection",
  "totalItems": 1,
  "member": [
    {
      "@context": "/api/contexts/Attribute%20String%20Value",
      "@id": "/api/categories/attribute_string_values/019afd30-7081-72a3-8bb4-6f708192a3b4",
      "@type": "Attribute String Value",
      "id": "019afd30-7081-72a3-8bb4-6f708192a3b4",
      "value": "Machine washable",
      "attribute": "/api/categories/attribute_strings/019afd11-4d5e-7f60-9b71-3c4d5e6f7081",
      "products": [
        "/api/products/019af93e-420e-79f8-800b-6680f03dce20"
      ],
      "createdAt": "2026-01-15T09:30:00+00:00",
      "updatedAt": "2026-02-03T14:45:12+00:00"
    }
  ]
}
```
